{{ define "main" }}

<main class="container">
  <h1>{{ .Title }}</h1>
  {{ .Content }}
  <nav class="nav nav-pills nav-fill dp-nav-pills active" role="tablist">
    <a class="nav-item nav-link ml-2 mb-2 dp-background-color--hero" id="context-tab"
      href='#context-content' data-bs-toggle="tab" role="tab"
      aria-controls='context-content' aria-selected="true">
      <h6 class="m-0">Context</h6>
    </a>
    <a class="nav-item nav-link ml-2 mb-2 dp-background-color--hero" id="viral-sequences-tab"
      href='#viral-sequences-content' data-bs-toggle="tab" role="tab"
      aria-controls='viral-sequences-content' aria-selected="false">
      <h6 class="m-0">Viral sequences</h6>
    </a>
    <a class="nav-item nav-link ml-2 mb-2 dp-background-color--hero" id="host-sequences-tab"
      href='#host-sequences-content' data-bs-toggle="tab" role="tab"
      aria-controls='host-sequences-content' aria-selected="false">
      <h6 class="m-0">Host sequences</h6>
    </a>
    <a class="nav-item nav-link ml-2 mb-2 dp-background-color--hero" id="genomic-resources-tab"
      href='#genomic-resources-content' data-bs-toggle="tab" role="tab"
      aria-controls='genomic-resources-content' aria-selected="false">
      <h6 class="m-0">Genomic resources</h6>
    </a>
  </nav>

  <div class="tab-content mt-5">
    <div class="tab-pane fade active show" id='context-content' role="tabpanel" aria-labelledby='context-tab'>
      <article>
        <h2>Geographical source of SARS-CoV-2 sequence data </h2>
        <p>
          The world map and table below provide a snapshot of the number of SARS-CoV-2 raw sequences submitted by country.
          <br />
          The original source of data is the <a href="https://www.covid19dataportal.org/statistics" target="_blank">COVID-19 Data Portal</a> statistics section.
        </p>
        <div class="d-block clearfix">
          <img src="/images/diagrams/raw_sequences_submitted_by_country_20230118.png" class="rounded float-left mr-5 d-block" style="max-width:50%" alt="Raw sequences submitted by Country">
          <table class="table table-responsive d-inline">
            <thead>
              <th></th>
              <th>Country</th>
              <th>Raw sequences submitted</th>
            </thead>
            <tbody>
              <tr>
                <td>1</td>
                <td>USA</td>
                <td>2,953,527</td>
              </tr>
              <tr>
                <td>2</td>
                <td>United Kingdom</td>
                <td>2,651,771</td>
              </tr>
              <tr>
                <td>3</td>
                <td>Ireland</td>
                <td>77,842</td>
              </tr>
              <tr>
                <td>4</td>
                <td>Switzerland</td>
                <td>72,662</td>
              </tr>
              <tr>
                <td>5</td>
                <td>Portugal</td>
                <td>43,860</td>
              </tr>
              <tr>
                <td>6</td>
                <td>Spain</td>
                <td>41,545</td>
              </tr>
              <tr>
                <td>7</td>
                <td>Slovakia</td>
                <td>39,140</td>
              </tr>
              <tr>
                <td>8</td>
                <td>Stonia</td>
                <td>25,102</td>
              </tr>
              <tr>
                <td>9</td>
                <td>Norway</td>
                <td>22,820</td>
              </tr>
              <tr>
                <td>10</td>
                <td>South Africa</td>
                <td>17,981</td>
              </tr>
            </tbody>
          </table>
        </div>
      </article>

      <article>
        <h2>VEO consortium reports</h2>
        <p>
          The <a href="https://www.veo-europe.eu/" target="_blank">VEO consortium</a> (Versatile Emerging infectious disease Observatory) submits monthly reports to the European Commission on mutations and variation in publicly shared SARS-CoV-2 raw sequencing data.
          <br />
          You can browse all previous VEO reports in the table below.
          <br />
          If you would like to receive the VEO reports straight to your inbox, please send an email to <a href="mailto:veo.europe@erasmusmc.nl">veo.europe@erasmusmc.nl</a> with ‘VEO COVID-19 Report’ in the subject line.
        </p>
        <table class="table table-responsive table-sm">
          <thead>
            <th>Report</th>
            <th>News</th>
            <th>Download</th>
          </thead>
          <tbody>
            <tr>
              <td>VEO Symposium 2022 report</td>
              <td><a href="https://www.veo-europe.eu/news/nyhed?id=4bfc634a-4857-4938-887d-e94635366359" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-symposium-2022-report-v01.pdf?la=da&hash=0CEEBF8009BBEBB6C07781AC382AB7060C69EF58">Download report</a></td>
            </tr>
            <tr>
              <td>14th report</td>
              <td><a href="https://www.veo-europe.eu/news/nyhed?id=9291ab55-2b58-444e-b089-40104aef8d46" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-14-final.pdf?la=da&hash=D2E26C367CA877E193F21EA9351764F5F4670E73">Download report</a></td>
            </tr>
            <tr>
              <td>13th report</td>
              <td><a href="https://www.veo-europe.eu/news/nyhed?id=7f5dbf35-d396-4255-a7a7-207f161bfc43" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-13-final.pdf?la=da&hash=C4C6C9E2733E48A894F4C0A7ADE6C1509C524D38">Download report</a></td>
            </tr>
            <tr>
              <td>12th report</td>
              <td><a href="https://www.veo-europe.eu/news/nyhed?id=3174fb12-b141-4ced-a2f6-b06a5a6a96cc" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-12-final.pdf?la=da&hash=52D511583C6D366BA2EDCECBA734178938D97A34">Download report</a></td>
            </tr>
            <tr>
              <td>11th report</td>
              <td><a href="https://www.veo-europe.eu/news/nyhed?id=44bc285e-e4c7-4a5b-9101-874c1c8e1a2a" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-11-final.pdf?la=da&hash=29C7C207192CE65F19DF4A6670B7B024329B057E">Download report</a></td>
            </tr>
            <tr>
              <td>10th report</td>
              <td><a href="https://www.veo-europe.eu/news/nyhed?id={1B87370A-0EBB-4412-81E5-9390A6FCDC07}" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-10-final.pdf?la=da&hash=96E2084C0B37F2713B7F0861A32DE6B764E5C350">Download report</a></td>
            </tr>
            <tr>
              <td>9th report</td>
              <td><a href="https://www.veo-europe.eu/news/nyhed?id={25DD94D3-EE19-4EFB-978A-2B10358C2730}" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-9-final.pdf?la=da&hash=A6EAB16521254699C8DD01E61AD67EF3D012C6A8">Download report</a></td>
            </tr>
            <tr>
              <td>8th report</td>
              <td><a href="https://www.veo-europe.eu/news/Nyhed?id={9F445038-C721-459F-9E90-CACF00FCC72E}" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-8-final.pdf?la=da&hash=ED6ECE05BFE6D0AD51B00EBB7E7A322F37BF8471">Download report</a></td>
            </tr>
            <tr>
              <td>7th  report</td>
              <td><a href="https://www.veo-europe.eu/news/Nyhed?id={F636F235-DE3E-4BCC-8772-068017100945}" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-7-final.pdf?la=da&hash=9571234B1BA6CC166DC2B20C99A403E1C0156710">Download report</a></td>
            </tr>
            <tr>
              <td>6th report</td>
              <td><a href="https://www.veo-europe.eu/news/Nyhed?id={0AB6C30A-4CED-4F71-88D6-058998C2673E}" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-6-final.pdf?la=da&hash=38280825E8C0274822FC35DAD0B658939A13DB5A">Download report</a></td>
            </tr>
            <tr>
              <td>5th report</td>
              <td><a href="https://www.veo-europe.eu/news/Nyhed?id={B114E6E9-F4D4-4900-BDD4-2C2E546C0EA5}" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-5-final.pdf?la=da&hash=8A01A87944E2E4D4DC0665968DFB9AD5673E7BFA">Download report</a></td>
            </tr>
            <tr>
              <td>4th report</td>
              <td><a href="https://www.veo-europe.eu/news/Nyhed?id={F96C565D-D211-4BC3-A751-7330ED55CDB3}" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-4-final.pdf?la=da&hash=1120416E0F29FC5209AC1E4BAB027E766FC6D576">Download report</a></td>
            </tr>
            <tr>
              <td>3rd report</td>
              <td><a href="https://www.veo-europe.eu/news/Nyhed?id={E4321352-62C6-47A8-9977-EF88DA13A481}" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-3-final.pdf?la=da&hash=FB7DFC9E426B97A92EAFA516F85CFDF8D0B04B4A">Download report</a></td>
            </tr>
            <tr>
              <td>2nd report</td>
              <td><a href="https://www.veo-europe.eu/news/Nyhed?id={295B1E0E-FB34-4ADA-B8DB-17C125B12971}" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-2-final.pdf?la=da&hash=04C7DECB4B7713D44CE13CC31BCD7D1BBD68A391">Download report</a></td>
            </tr>
            <tr>
              <td>1st report</td>
              <td><a href="https://www.veo-europe.eu/news/Nyhed?id={C8603A16-8104-475E-9E6B-985BCCB67136}" target="_blank">News</a></td>
              <td><a href="https://www.veo-europe.eu/-/media/sites/veo-europe/library/veo-covid-19-variants-report-v02.pdf?la=da&hash=C20457CBD60493484B3E0F799DC2384FECE724F3">Download report</a></td>
            </tr>
          </tbody>
        </table>
      </article>
    </div>
    <div class="tab-pane fade" id='viral-sequences-content' role="tabpanel" aria-labelledby='viral-sequences-tab'>
      <article>
        <h2>Viral sequences</h2>
        {{ partial "genomics/viral-sequences-table.html" . }}
      </article>
    </div>
    <div class="tab-pane fade" id='host-sequences-content' role="tabpanel" aria-labelledby='host-sequences-tab'>
      <article>
        <h2>Host sequences</h2>
        {{ partial "genomics/host-sequences-table.html" . }}
      </article>
    </div>

    <div class="tab-pane fade" id='genomic-resources-content' role="tabpanel" aria-labelledby='genomic-resources-tab'>
      <h2>Genomic resources</h2>
      {{ partial "genomics/genomic-resources.html" . }}
    </div>

  </div>
</main>

<script>
  $(function () {
    $('.nav-pills a').on('click', function (e) {
      e.preventDefault();
      $(this).tab('show');
    });
  });

  $(function() {
    $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
      console.log("entro");
      history.pushState({}, '', e.target.hash);
    });

    var hash = document.location.hash;
    var prefix = "tab_";
    if (hash) {
      $('.nav-pills a[href="'+hash.replace(prefix,"")+'"]').tab('show');
    }
  });
</script>
{{ end }}
